Groovy 1.7.0

## org.codehaus.groovy.tools.shell
Class CommandRegistry

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandRegistry

    class CommandRegistry
    extends Object

A registry of shell Command instances which may be executed.

version:
  $Id: CommandRegistry.groovy 7581 2007-08-23 01:47:47Z user57 $

author:
  Jason Dillon

Property Summary
`List` | `commands` A list of all of the registered commands.
`protected Logger` | `log`

Constructor Summary
`CommandRegistry()`

Method Summary
`List` | `commands()`
`Command` | `find(String name)`
`def` | `getProperty(String name)`
`Iterator` | `iterator()`
`def` | `leftShift(Command command)`
`Command` | `register(Command command)`
`void` | `remove(Command command)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### commands

    final List commands

  A list of all of the registered commands.

### log

    protected final Logger log

Constructor Detail

### CommandRegistry

    CommandRegistry()

Method Detail

### commands

    List commands()

### find

    Command find(String name)

### getProperty

    public def getProperty(String name)

### iterator

    Iterator iterator()

### leftShift

    public def leftShift(Command command)

### register

    Command register(Command command)

### remove

    void remove(Command command)

Copyright © 2003-2009 The Codehaus. All rights reserved.